/*******************************************************************************
* FILE NAME: LCD_Samples.h
*
* DESCRIPTION:
*  A simple drop in capability that uses an internal timer and a normal digital 
*  output to transmit serial data. 
*
* WRITTEN:
*  Mark McLeod  6/2006 - Improved on an original version from 2004 and ported to Vex for training class
*
*******************************************************************************/

#ifndef __LCD_Samples_h_
#define __LCD_Samples_h_

#define NULL 0
#define HOME 1
#define START_BIG 2
#define END_BIG 3
#define HIDE 4
#define UNDERLINE 5
#define BLINK 6
#define BELL 7
#define BACKSPACE 8
#define TAB 9
#define LF 10
#define VTAB 11
#define CLEAR 12
#define CR 13
#define BACKLIGHT_ON 14
#define BACKLIGHT_OFF 15
#define POSITION 16
#define ALIGN_RIGHT 18
#define ESC 27
#define BLANK 32
#define BLOCK 255

void LCD_Samples(void);
void Write_Large_Sample(void); // Sample of the LCD screen in LARGE print
char Write_Form_Sample_1(void); // Sample of formatting and updating the LCD
char Write_Form_Sample_2(char); // Sample of formatting and updating the LCD
char Write_Form_Sample_3(char); // Sample of formatting and updating the LCD
 
#endif
